/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

/*
 * Component: Products List
 * ------------------------
 */
.products-list {
  list-style: none;
  margin: 0;
  padding: 0;
  > .item {
    @include border-radius($box-border-radius);
    @include box-shadow($box-boxshadow);
    @include clearfix();
    padding: 10px 0;
    background: #fff;
  }
  .product-img {
    float: left;
    img {
      width: 50px;
      height: 50px;
    }
  }
  .product-info {
    margin-left: 60px;
  }
  .product-title {
    font-weight: 600;
  }
  .product-description {
    display: block;
    color: #999;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
}

.product-list-in-box > .item {
  @include box-shadow(none);
  @include border-radius(0);
  border-bottom: 1px solid $box-border-color;
  &:last-of-type {
    border-bottom-width: 0;
  }
}
